> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passage.coinlist.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an offer for the authenticated partner



## OpenAPI

````yaml /api-reference/openapi.json get /v1/offers/{id}
openapi: 3.0.0
info:
  title: Frontline API
  version: 0.1.0
servers:
  - url: https://api.coinlist.co
    variables: {}
security: []
tags:
  - name: DocumentSubmissions
  - name: KYC
  - name: OAuth
  - name: Offers
  - name: Participations
  - name: Pii
  - name: Requirements
  - name: Swap
  - name: Token
  - name: Wallet
  - name: Wallet Ownership
paths:
  /v1/offers/{id}:
    get:
      tags:
        - Offers
      summary: Get an offer for the authenticated partner
      operationId: getPartnerOffer
      parameters:
        - description: Offer ID
          in: path
          name: id
          required: true
          schema:
            type: string
            x-struct: null
            x-validate: null
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Offer'
          description: Successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Error response.
      callbacks: {}
      security:
        - OAuth2: []
components:
  schemas:
    Offer:
      additionalProperties: false
      description: Full offer details
      properties:
        about:
          description: About text for the offer (English)
          nullable: true
          type: string
          x-struct: null
          x-validate: null
        asset:
          additionalProperties: false
          description: The asset for which the offer is created
          properties:
            code:
              description: The asset code (symbol)
              type: string
              x-struct: null
              x-validate: null
            fractional_digits:
              description: The number of fractional digits for the asset
              type: integer
              x-struct: null
              x-validate: null
            id:
              description: The asset ID
              type: string
              x-struct: null
              x-validate: null
            name:
              description: The asset name
              type: string
              x-struct: null
              x-validate: null
          required:
            - id
            - code
            - name
            - fractional_digits
          type: object
          x-struct: null
          x-validate: null
        banner_url:
          description: The URL for the offer banner
          format: uri
          type: string
          x-struct: null
          x-validate: null
        category:
          description: The category of the offer
          type: string
          x-struct: null
          x-validate: null
        ends_at:
          description: When the offer ends. Null when the offer has no end date
          example: '2025-01-01T00:00:00.000000Z'
          format: date-time
          nullable: true
          type: string
          x-struct: null
          x-validate: null
        faqs:
          description: List of FAQs for the offer
          items:
            additionalProperties: false
            properties:
              answer:
                type: string
                x-struct: null
                x-validate: null
              question:
                type: string
                x-struct: null
                x-validate: null
            required:
              - question
              - answer
            type: object
            x-struct: null
            x-validate: null
          type: array
          x-struct: null
          x-validate: null
        funding_assets:
          description: List of assets that can be used to fund the offer
          items:
            additionalProperties: false
            properties:
              code:
                description: The asset code (symbol)
                type: string
                x-struct: null
                x-validate: null
              fractional_digits:
                description: The number of fractional digits for the asset
                type: integer
                x-struct: null
                x-validate: null
              id:
                description: The asset ID
                type: string
                x-struct: null
                x-validate: null
              name:
                description: The asset name
                type: string
                x-struct: null
                x-validate: null
            required:
              - id
              - code
              - name
              - fractional_digits
            type: object
            x-struct: null
            x-validate: null
          type: array
          x-struct: null
          x-validate: null
        id:
          description: Unique identifier for the object.
          example: 05edea81-98a7-4582-aa7c-040d57cb1858
          type: string
          x-struct: null
          x-validate: null
        links:
          description: List of links related to the offer
          items:
            additionalProperties: false
            properties:
              label:
                type: string
                x-struct: null
                x-validate: null
              url:
                type: string
                x-struct: null
                x-validate: null
            required:
              - label
              - url
            type: object
            x-struct: null
            x-validate: null
          type: array
          x-struct: null
          x-validate: null
        logo_url:
          description: The URL for the offer logo
          format: uri
          type: string
          x-struct: null
          x-validate: null
        milestones:
          description: List of milestones for the offer
          items:
            additionalProperties: false
            properties:
              name:
                type: string
                x-struct: null
                x-validate: null
              schedule:
                type: string
                x-struct: null
                x-validate: null
              status:
                enum:
                  - completed
                  - active
                  - upcoming
                type: string
                x-struct: null
                x-validate: null
            required:
              - name
              - schedule
              - status
            type: object
            x-struct: null
            x-validate: null
          type: array
          x-struct: null
          x-validate: null
        name:
          description: The name of the offer
          type: string
          x-struct: null
          x-validate: null
        object:
          description: >-
            String representing the object's type. Objects of the same type
            share the same value.
          enum:
            - offer
          type: string
          x-struct: null
          x-validate: null
        options:
          description: List of offer options
          items:
            $ref: '#/components/schemas/OfferOption'
          type: array
          x-struct: null
          x-validate: null
        slug:
          description: The slug identifier of the offer
          example: example-offer
          type: string
          x-struct: null
          x-validate: null
        starts_at:
          description: When the offer starts
          example: '2025-01-01T00:00:00.000000Z'
          format: date-time
          type: string
          x-struct: null
          x-validate: null
        tagline:
          description: Tagline text for the offer (English)
          type: string
          x-struct: null
          x-validate: null
        terms:
          description: List of offer terms
          items:
            additionalProperties: false
            properties:
              key:
                type: string
                x-struct: null
                x-validate: null
              value:
                type: string
                x-struct: null
                x-validate: null
            required:
              - key
              - value
            type: object
            x-struct: null
            x-validate: null
          type: array
          x-struct: null
          x-validate: null
        type:
          description: The type of the offer
          enum:
            - sale
            - swap
          example: sale
          type: string
          x-struct: null
          x-validate: null
      required:
        - object
        - id
        - slug
        - name
        - type
        - category
        - tagline
        - about
        - starts_at
        - ends_at
        - logo_url
        - banner_url
        - options
        - terms
        - links
        - faqs
        - milestones
        - asset
        - funding_assets
      title: Offer
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Schemas.Offer
      x-validate: null
    Error:
      additionalProperties: false
      properties:
        code:
          description: A human-readable message providing more details about the error.
          type: string
          x-struct: null
          x-validate: null
        errors:
          additionalProperties:
            items:
              type: string
              x-struct: null
              x-validate: null
            type: array
            x-struct: null
            x-validate: null
          type: object
          x-struct: null
          x-validate: null
        event_id:
          description: >-
            The unique identifier for the error event. This is useful for
            tracking and debugging.
          type: string
          x-struct: null
          x-validate: null
        message:
          description: >-
            For some errors that could be handled programmatically, a short
            string indicating the error code reported.
          type: string
          x-struct: null
          x-validate: null
        type:
          description: >-
            The type of error returned. One of `api_error`,
            `invalid_request_error`
          enum:
            - api_error
            - invalid_request_error
          type: string
          x-struct: null
          x-validate: null
      required:
        - type
        - message
      title: Error
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Schemas.ApiError
      x-validate: null
    OfferOption:
      additionalProperties: false
      description: An option within an offer
      properties:
        bid_increment:
          description: Decimal string
          nullable: true
          type: string
          x-struct: null
          x-validate: null
        floor_price_usd:
          description: Decimal string
          nullable: true
          type: string
          x-struct: null
          x-validate: null
        id:
          description: Unique identifier for the object.
          example: 05edea81-98a7-4582-aa7c-040d57cb1858
          type: string
          x-struct: null
          x-validate: null
        minimum_purchase_usd:
          description: Decimal string
          nullable: true
          type: string
          x-struct: null
          x-validate: null
        price_usd:
          description: Decimal string
          nullable: true
          type: string
          x-struct: null
          x-validate: null
        sale_agreement_url:
          nullable: true
          type: string
          x-struct: null
          x-validate: null
        slug:
          description: The slug identifier of the option
          type: string
          x-struct: null
          x-validate: null
        total_token_supply:
          description: Total token supply in whole tokens
          nullable: true
          type: integer
          x-struct: null
          x-validate: null
      required:
        - id
        - slug
        - total_token_supply
        - price_usd
        - minimum_purchase_usd
        - floor_price_usd
        - bid_increment
        - sale_agreement_url
      title: OfferOption
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Schemas.OfferOption
      x-validate: null
  securitySchemes:
    OAuth2:
      description: OAuth 2.0 authorization and token endpoints
      flows:
        authorizationCode:
          authorizationUrl: /oauth/authorize
          refreshUrl: /oauth/token
          scopes: {}
          tokenUrl: /oauth/token
        clientCredentials:
          refreshUrl: /oauth/token
          scopes: {}
          tokenUrl: /oauth/token
      type: oauth2

````